package com.ffii.fpsms.modules.master.web.models

import jakarta.validation.constraints.NotBlank
import jakarta.validation.constraints.NotNull
import java.time.LocalDateTime
/* 
enum class EquipmentType(val type: String) {
    MATERIAL("mat"),
    BY_PRODUCT("byp"),
    PRODUCT("product"),
    CONSUMABLE("consumables"),
}
*/
data class NewEquipmentDetailRequest(
    @field:NotBlank(message = "material code cannot be empty")
    val code: String,
    @field:NotBlank(message = "material name cannot be empty")
    val name: String,

    val id: Long?,
    val description: String?,
    val equipmentTypeId: Long?,
    val equipmentCode: String?,
    val repairAndMaintenanceStatus: Boolean?,
//    val type: List<NewTypeRequest>?,
//    val uom: List<NewUomRequest>?,
//    val weightUnit: List<NewWeightUnitRequest>?,
)

